//@credits: 

struct MyBuffer {
	float4 tex0;
	float4 tex1;
};
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};
Texture3D tex0;
Texture3D tex1;
float3 R;
RWStructuredBuffer<MyBuffer> Output : BACKBUFFER;
//RWTexture3D<float4> texOut : BACKBUFFER;

[numthreads(8, 8, 8)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	uint idx = tid.x + tid.y * R.x + tid.z * (R.y * R.x);
	
	
	Output[idx].tex0 = tex0[tid.xyz];
	Output[idx].tex1 = tex1[tid.xyz];
	//texOut[tid.xyz] = tex0[tid.xyz];
	
}

technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}